%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           secret-sos
Version:        0.8
Release:        1%{?dist}
Summary:        Downstream plugins for sosreport

Group:          Applications/System
License:        GPLv2
URL:            http://www.redhat.com/
Source0:        %{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  python-devel, python-setuptools
Requires:       sos

%description
Downstream plugins for sosreport, maintained by Certification Engineering

%prep
%setup -n %{name}-%{version} -q

%build
%{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README.txt
%{python_sitelib}/sos/plugins/*.py*
%{python_sitelib}/secret_sos*egg-info

%changelog
* Mon Oct 05 2015 Chandan Kumar <chkumar@redhat.com> 0.8-1
- Removed openstack trove merged plugin

* Wed Sep 16 2015 Chandan Kumar <chkumar@redhat.com> 0.7-1
- Fixed network_check plugin subprocess issue in python 2.6

* Thu Sep 10 2015 Chandan Kumar <chkumar@redhat.com> 0.6-1
- Removed openstack sahara merged plugin
- Bumped to version 0.6
- Fixes https://projects.engineering.redhat.com/browse/CLOUDCERT-28

* Thu Sep 3 2015 Chandan Kumar <chkumar@redhat.com> 0.5-1
- Neat-picking of yum messages
- Bumped to version 0.5

* Tue Sep 1 2015 Shreyank Gupta <sgupta@redhat.com> 0.4-1
- Fixed issues with network_check plugin
- Bump to version 0.4

* Mon Aug 31 2015 Chandan Kumar <chkumar@redhat.com> 0.3-1
- Fix the network check formatting

* Tue Aug 25 2015 Chandan Kumar <chkumar@redhat.com> 0.2-1
- Added yum_check plugin
- Added firstboot plugin
- Added image_freshness plugin
- Added network_check plugin
- Bumped to version 0.2

* Thu Feb 5 2015 Shreyank Gupta <sgupta@redhat.com> 0.1-1
- Initial release.
